## digikam-gmic-qt-3.2.2.20250601-41538610ccb0006e8fcd74ad342a12c67765e9d1.tar.gz

=== CMakeLists.txt ===
#
# Copyright (c) 2019-2025, Gilles Caulier, <caulier dot gilles at gmail dot com>
#
# SPDX-License-Identifier: BSD-3-Clause
#

cmake_minimum_required(VERSION 3.10.0 FATAL_ERROR)

project(gmicqt-digiKam)

set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/gmicqt/cmake/modules ${CMAKE_MODULE_PATH})
set(CMAKE_POSITION_INDEPENDENT_CODE ON)

include_directories(${CMAKE_SOURCE_DIR}/gmicqt/src)

add_subdirectory(gmicqt)

=== gmicqt/CMakeLists.txt ===
project(gmic-qt)

message(STATUS "Using CMake version: ${CMAKE_VERSION}")

cmake_minimum_required(VERSION 3.10.0 FATAL_ERROR)
LIST (APPEND CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules")
include(FeatureSummary)
include(FindPkgConfig)

set(CMAKE_CXX_STANDARD 11)
add_definitions(-Dcimg_use_cpp11=1)

option(BUILD_WITH_QT6 "Build with Qt6, else Qt5" OFF)

if(BUILD_WITH_QT6)
    set(MIN_QT_VERSION 6.5.0)
else()
    set(MIN_QT_VERSION 5.2.0)
endif()

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTOUIC OFF)
set(CMAKE_AUTORCC ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(EXTRA_LIBRARIES)

if (NOT CMAKE_BUILD_TYPE)
    set(CMAKE_BUILD_TYPE "Release")
endif()

message("Build type is " ${CMAKE_BUILD_TYPE})

set (GMIC_QT_HOST "gimp" CACHE STRING "Define for which host gmic-qt will be built: gimp, gimp3 (experimental), none, paintdotnet or 8bf.")
if (${GMIC_QT_HOST} STREQUAL "none")
  message("Building standalone version.")
else()
  message("Building for target host application: " ${GMIC_QT_HOST})
endif()

option(ENABLE_SYSTEM_GMIC "Find GMIC shared library installed on the system" ON)

if (ENABLE_SYSTEM_GMIC)
  option(ENABLE_DYNAMIC_LINKING "Dynamically link the binaries to the GMIC shared library" ON)
else()
  option(ENABLE_DYNAMIC_LINKING "Dynamically link the binaries to the GMIC shared library" OFF)

  set (GMIC_LIB_PATH "${GMIC_PATH}" CACHE STRING "Define the path to the GMIC shared library")
  if(EXISTS "${CMAKE_CURRENT_SOURCE_DIR}/gmic/src/gmic.cpp")
  set (GMIC_PATH "${CMAKE_CURRENT_SOURCE_DIR}/gmic/src" CACHE STRING "Define the path to the gmic headers")
  else()
  set (GMIC_PATH "${CMAKE_CURRENT_SOURCE_DIR}/../gmic/src" CACHE STRING "Define the path to the gmic headers")
  endif()

  message("G'MIC path: " ${GMIC_PATH})
endif()

option(ENABLE_CURL "Add support for curl" ON)

option(ENABLE_ASAN "Enable -fsanitize=address (if debug build)" ON)
option(ENABLE_FFTW3 "Enable FFTW3 library support" ON)

include(CheckIPOSupported)

check_ipo_supported(RESULT HAVE_LTO LANGUAGES CXX)

if (HAVE_LTO)
option(ENABLE_LTO "Enable Link Time Optimizer" OFF)
endif()

if (MSVC)
  option(ENABLE_CFG "Enable Control Flow Guard (MSVC)" ON)
  add_definitions(-D__PRETTY_FUNCTION__=__FUNCSIG__)
endif()

if (CMAKE_BUILD_TYPE STREQUAL "Debug")
    set(ENABLE_LTO OFF FORCE)
endif()

if (NOT ENABLE_SYSTEM_GMIC)
  #
  # Look for G'MIC repository
  #
  get_filename_component(GMIC_ABSOLUTE_PATH ${GMIC_PATH} ABSOLUTE BASEDIR ${CMAKE_SOURCE_DIR})
  if (EXISTS ${GMIC_ABSOLUTE_PATH}/gmic.cpp)
    message("Found G'MIC repository")
  else()
    get_filename_component(TARGET_CLONE_DIR ${GMIC_ABSOLUTE_PATH}/.. ABSOLUTE)
    message("")
    message("Cannot find G'MIC repository in " ${GMIC_ABSOLUTE_PATH} )
    message("")
    message("You should try:")
    message("")
    message("   git clone https://github.com/dtschump/gmic.git " ${TARGET_CLONE_DIR}/gmic )
    message("")
    message(FATAL_ERROR "\nG'MIC repository not found")
  endif()

  #
  # Look for CImg.h and gmic_stdlib_community.h
  #
  set(GMIC_FILES CImg.h gmic_stdlib_community.h)
  foreach(F ${GMIC_FILES})
  if(EXISTS ${GMIC_ABSOLUTE_PATH}/${F})
      message("Found " ${GMIC_PATH}/${F})
  else()
      message(${F} " not found")
      execute_process(COMMAND make -C ${GMIC_ABSOLUTE_PATH} ${F})
      if(EXISTS ${GMIC_ABSOLUTE_PATH}/${F})
      message("Found " ${GMIC_PATH}/${F})
      else()
      message(FATAL_ERROR "\nCannot obtain " ${GMIC_PATH}/${F})
      endif()
  endif()
  endforeach()

  #
  # Ensure that gmic and CImg are the same version
  #
  file(STRINGS ${GMIC_ABSOLUTE_PATH}/CImg.h CIMG_VERSION REGEX "cimg_version ")
  string(REGEX REPLACE ".*cimg_version " "" CIMG_VERSION ${CIMG_VERSION})
  message("CImg version is [" ${CIMG_VERSION} "]")

  file(STRINGS ${GMIC_ABSOLUTE_PATH}/gmic.h GMIC_VERSION REGEX "gmic_version ")
  string(REGEX REPLACE ".*gmic_version " "" GMIC_VERSION ${GMIC_VERSION})
  message("G'MIC version is [" ${GMIC_VERSION} "]")

  if (NOT(${GMIC_VERSION} EQUAL ${CIMG_VERSION}))
  message(FATAL_ERROR "\nVersion numbers of files 'gmic.h' (" ${GMIC_VERSION} ") and 'CImg.h' (" ${CIMG_VERSION} ") mismatch")
  endif()
endif()


option(PRERELEASE "Set to ON makes this a prelease build")
if (${PRERELEASE})
    string(TIMESTAMP PRERELEASE_DATE %y%m%d)
    message("Prelease date is " ${PRERELEASE_DATE})
    add_definitions(-Dgmic_prerelease="${PRERELEASE_DATE}")
endif()

option(DRMINGW "Set to ON enables the drmingw debugger.")
if (${DRMINGW})
    add_definitions(-DDRMINGW)
endif()


# Required packages

#
# Gmic
#
if (ENABLE_SYSTEM_GMIC)
  find_package(Gmic REQUIRED CONFIG)
endif (ENABLE_SYSTEM_GMIC)

#
# Threads
#
find_package(Threads REQUIRED)

if(BUILD_WITH_QT6)

    #
    # Qt6
    #
    find_package(Qt6 ${MIN_QT_VERSION}
            REQUIRED COMPONENTS
            Core
            Gui
            Widgets
            Network
    )

    #
    # For the translations
    #
    find_package(Qt6LinguistTools REQUIRED)

    set(QT_VERSION_MAJOR 6)

else()

    #
    # Qt5
    #
    find_package(Qt5 ${MIN_QT_VERSION}
            REQUIRED COMPONENTS
            Core
            Gui
            Widgets
            Network
    )

    #
    # For the translations
    #
    find_package(Qt5LinguistTools REQUIRED)

    set(QT_VERSION_MAJOR 5)

endif()

#
# PNG
#
find_package(PNG REQUIRED)
add_definitions(${PNG_DEFINITIONS})
add_definitions(-Dcimg_use_png)
include_directories(SYSTEM ${PNG_INCLUDE_DIR})
if (APPLE)
    # this is not added correctly on OSX -- see http://forum.kde.org/viewtopic.php?f=139&t=101867&p=221242#p221242
    include_directories(SYSTEM ${PNG_INCLUDE_DIR})
endif()

#
# ZLIB
#
find_package(ZLIB REQUIRED)
add_definitions(-Dcimg_use_zlib)
include_directories(SYSTEM ${ZLIB_INCLUDE_DIRS} )

#
# FFTW3
#
if (ENABLE_FFTW3)
  find_package(FFTW3 REQUIRED)
  add_definitions(-Dcimg_use_fftw3 )
  include_directories(${FFTW3_INCLUDE_DIR})

  # Detect
  include(CheckCXXSourceCompiles)
  set(CMAKE_REQUIRED_INCLUDES ${FFTW3_INCLUDE_DIR})
  set(CMAKE_REQUIRED_LIBRARIES ${FFTW3_LIBRARIES})
  check_cxx_source_compiles("
      #include <fftw3.h>

      int main() {
          fftw_init_threads();
      }
  " HAVE_FFTW3_THREADS)

  if(HAVE_FFTW3_THREADS)
    message(STATUS "FFTW threads Found")
    list(APPEND EXTRA_LIBRARIES ${FFTW3_THREADS_LIBRARIES})
  else()
    add_definitions(-Dcimg_use_fftw3_singlethread)
  endif()
endif()

#
# CURL
#
if(ENABLE_CURL)
    find_package(CURL)
    if (CURL_FOUND)
        add_definitions(-Dcimg_use_curl)
        include_directories(SYSTEM ${CURL_INCLUDE_DIRS} )
    endif()
endif()

#
# Test for OpenMP
#
find_package(OpenMP 2.0)
set_package_properties(OpenMP PROPERTIES
    DESCRIPTION "A low-level parallel execution library"
    URL "http://openmp.org/wp/"
    TYPE OPTIONAL
    PURPOSE "Optionally used by gmic-qt")

if (OpenMP_FOUND)
    message(STATUS "G'Mic: using OpenMP ${OpenMP_CXX_VERSION}")
    link_libraries(OpenMP::OpenMP_CXX)
    add_definitions(-Dcimg_use_openmp)
endif()

#
# LTO option
#

if (ENABLE_LTO)
    message(STATUS "Link Time Optimizer enabled")
    set(CMAKE_INTERPROCEDURAL_OPTIMIZATION TRUE)
endif()

#
# Enable CFG
#
if (MSVC)
    set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} /STACK:16777216")
    set(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} /STACK:16777216")
    set(CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} /STACK:16777216")
    if (ENABLE_CFG)
        add_compile_options(/guard:CF)
        add_link_options(/GUARD:CF)
    endif()
elseif(WIN32)
    set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -Wl,--stack,16777216")
    set(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--stack,16777216")
    set(CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -Wl,--stack,16777216")
endif()

#
# add all defines
#

set(gmic_qt_LIBRARIES
        Qt${QT_VERSION_MAJOR}::Core
        Qt${QT_VERSION_MAJOR}::Widgets
        Qt${QT_VERSION_MAJOR}::Gui
        Qt${QT_VERSION_MAJOR}::Network
        ${PNG_LIBRARIES}
        ${FFTW3_LIBRARIES}
        ${ZLIB_LIBRARIES}
        ${EXTRA_LIBRARIES}
)

if(ENABLE_CURL)
    if (CURL_FOUND)
        set(gmic_qt_LIBRARIES
            ${gmic_qt_LIBRARIES}
            ${CURL_LIBRARIES}
        )
    endif()
endif()

add_definitions(-Dgmic_core)
add_definitions(-Dgmic_community)
add_definitions(-Dcimg_use_abort)
add_definitions(-Dgmic_is_parallel)
add_definitions(-Dgmic_gui)
add_definitions(-Dcimg_use_abort)
add_definitions(-Dcimg_appname=\"gmic\")

if (UNIX)
    add_definitions(-D_IS_UNIX_)
    if(ANDROID)
        add_definitions(-Dcimg_display=0)
    elseif(NOT APPLE)
        add_definitions(-Dcimg_display=1)
        add_definitions(-Dcimg_use_vt100)
        find_package(X11)
        set(gmic_qt_LIBRARIES
            ${gmic_qt_LIBRARIES}
            ${X11_LIBRARIES} # XXX: Search for X11: Wayland is coming!
        )
    endif()
endif()

if (APPLE)
    add_definitions(-Dcimg_display=0)
    add_definitions(-D_IS_MACOS_)
    set(CMAKE_MACOSX_RPATH 1)
    set(BUILD_WITH_INSTALL_RPATH 1)
    add_definitions(-Wno-macro-redefined -Wno-deprecated-register)
    if (CMAKE_OSX_ARCHITECTURES MATCHES "x86_64")
        add_definitions(-mmacosx-version-min=10.15)
    else()
        add_definitions(-mmacosx-version-min=11.3)
    endif()
endif()

if (WIN32)
    add_definitions(-Dcimg_display=2)
    add_definitions(-DPSAPI_VERSION=1)
    add_definitions(-D_IS_WINDOWS_)
    if (MSVC)
      add_definitions(-D_CRT_SECURE_NO_WARNINGS)
      add_compile_options(/wd4267)
    endif()
    set(gmic_qt_LIBRARIES
        ${gmic_qt_LIBRARIES}
        Threads::Threads psapi gdi32
    )
endif()

SET(CMAKE_BUILD_WITH_INSTALL_RPATH TRUE)
SET(CMAKE_INSTALL_RPATH "$ORIGIN/")

if (CMAKE_BUILD_TYPE STREQUAL "Debug")
    add_definitions(-D_GMIC_QT_DEBUG_)
    if(ENABLE_ASAN)
      set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fsanitize=address")
      set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -fsanitize=address")
    endif(ENABLE_ASAN)
elseif (CMAKE_BUILD_TYPE STREQUAL "Release")
    add_definitions(-DQT_NO_DEBUG_OUTPUT)
    if (MSVC)
      set(CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE} /fp:fast /Oi")
    else()
      string(REPLACE "-O2" "" CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE}")
      string(REPLACE "-O3" "" CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE}")
      set(CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE} -O3")
    endif()
    if (NOT MSVC)
      set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -s")
    endif()
    if (WIN32 AND NOT MSVC)
      set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -mwindows")
    endif()
elseif (CMAKE_BUILD_TYPE STREQUAL "RelWithDebInfo")
    add_definitions(-DQT_NO_DEBUG_OUTPUT)
    if(MSVC)
      string(REPLACE "Ob1" "Ob2" CMAKE_CXX_FLAGS_RELWITHDEBINFO "${CMAKE_CXX_FLAGS_RELWITHDEBINFO}")
      set(CMAKE_CXX_FLAGS_RELWITHDEBINFO "${CMAKE_CXX_FLAGS_RELWITHDEBINFO} /fp:fast /Oi")
    else()
      string(REPLACE "-O2" "" CMAKE_CXX_FLAGS_RELWITHDEBINFO "${CMAKE_CXX_FLAGS_RELWITHDEBINFO}")
      string(REPLACE "-O3" "" CMAKE_CXX_FLAGS_RELWITHDEBINFO "${CMAKE_CXX_FLAGS_RELWITHDEBINFO}")
      if (NOT ENABLE_SYSTEM_GMIC)
          set_source_files_properties(${GMIC_PATH}/gmic.cpp PROPERTIES COMPILE_FLAGS "-O3")
      endif (NOT ENABLE_SYSTEM_GMIC)
      set(CMAKE_CXX_FLAGS_RELWITHDEBINFO "${CMAKE_CXX_FLAGS_RELWITHDEBINFO} -O2")
    endif()
else()
    message(FATAL_ERROR "Build type not recognized (${CMAKE_BUILD_TYPE})")
endif()

if (NOT ENABLE_SYSTEM_GMIC)
    include_directories(${GMIC_PATH})
endif (NOT ENABLE_SYSTEM_GMIC)
include_directories(${CMAKE_SOURCE_DIR}/src)

set (gmic_qt_SRCS
  src/ClickableLabel.h
  src/Common.h
  src/CroppedActiveLayerProxy.h
  src/CroppedImageListProxy.h
  src/DialogSettings.h
  src/FilterParameters/AbstractParameter.h
  src/FilterParameters/BoolParameter.h
  src/FilterParameters/ButtonParameter.h
  src/FilterParameters/ChoiceParameter.h
  src/FilterParameters/ColorParameter.h
  src/FilterParameters/ConstParameter.h

=== gmicqt/gmic/resources/debian/changelog ===
gmic (_gmic_version) testing; urgency=low

  * Current testing release.

 -- David Tschumperlé <David.Tschumperle@ensicaen.fr>  Thu, 30 Dec 2012 11:39:41 +0200

gmic (1.5.0.8+dfsg-1) unstable; urgency=low

  * [b7ddf3a2] Merge commit 'upstream/1.5.0.8+dfsg'
  * [a0dd17c6] Make GMIC build with recent OpenCV versions. (Closes: #652763)
  * [7cb4a04f] Don't use configure, call src/Makefile directly.

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 08 Jan 2012 23:32:01 +0100

gmic (1.5.0.7+dfsg-1) unstable; urgency=low

  * [97e3ecbd] Merge commit 'upstream/1.5.0.7+dfsg'

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 04 Dec 2011 19:55:28 +0100

gmic (1.5.0.5+dfsg-1) unstable; urgency=low

  * [4978288c] Removing Jakub Wilk from Uploaders as requested.
    Thanks for your work Jakub!
  * [b7314e4e] Merge commit 'upstream/1.5.0.5+dfsg'
  * [866550ef] Refactoring debian/rules
  * [fce14609] Bumping Standards-Version, no changes needed.

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 30 Oct 2011 19:06:34 +0100

gmic (1.5.0.0+dfsg-1) unstable; urgency=low

  * [20fc4583] Merge commit 'upstream/1.5.0.0+dfsg'
  * [ec62b62d] Dropping patch for configure fixes, not necessary anymore.
  * [87daddc5] Refreshing patches.
  * [833f51b5] Remove lib*magick++*-dev build-deps, not needed anymore.
  * [7592f26e] Add libopenexr-dev as build-dependency.
  * [5a8d6059] Don't try to install upstream's changelog, not shipped anymore.

 -- Bernd Zeimetz <bzed@debian.org>  Tue, 26 Jul 2011 15:17:46 +0200

gmic (1.4.8.1+dfsg-2) unstable; urgency=low

  * [24dc0e58] Add patch to fix FTBFS on various architectures.
    Thanks to Hector Oron (Closes: #614273)

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 20 Feb 2011 22:52:04 +0100

gmic (1.4.8.1+dfsg-1) unstable; urgency=low

  * [fab6cc4d] Merge commit 'upstream/1.4.8.1+dfsg'

 -- Bernd Zeimetz <bzed@debian.org>  Wed, 16 Feb 2011 22:37:42 +0100

gmic (1.4.8.0+dfsg-1) unstable; urgency=low

  * [33847b44] Merge commit 'upstream/1.4.8.0+dfsg'
  * [6e771817] Refreshing patches.

 -- Bernd Zeimetz <bzed@debian.org>  Thu, 10 Feb 2011 13:13:22 +0100

gmic (1.4.4.2+dfsg-1) experimental; urgency=low

  * [3253ce08] Merge commit 'upstream/1.4.4.2+dfsg'

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 07 Nov 2010 18:47:00 +0100

gmic (1.4.2.0+dfsg-1) experimental; urgency=low

  * [f93deb46] Merge commit 'upstream/1.4.2.0+dfsg'
  * [00290d4f] Refreshing patches.

 -- Bernd Zeimetz <bzed@debian.org>  Wed, 20 Oct 2010 20:57:01 +0200

gmic (1.4.0.0+dfsg-1) experimental; urgency=low

  * [6fd356d5] Merge commit 'upstream/1.4.0.0+dfsg'
  * [331aef59] Adding new build-dependencies.
  * [86b49de0] Refreshing patches.

 -- Bernd Zeimetz <bzed@debian.org>  Fri, 03 Sep 2010 14:49:11 +0200

gmic (1.3.9.0+dfsg-1) unstable; urgency=low

  * [23ccb979] Merge commit 'upstream/1.3.9.0+dfsg'
  * [bef99d90] Install upstream changelog.

 -- Bernd Zeimetz <bzed@debian.org>  Mon, 02 Aug 2010 10:26:51 +0200

gmic (1.3.7.1+dfsg-1) unstable; urgency=low

  * [b573582f] Merge commit 'upstream/1.3.7.1+dfsg'

 -- Bernd Zeimetz <bzed@debian.org>  Mon, 19 Jul 2010 19:11:21 +0200

gmic (1.3.6.0+dfsg-1) unstable; urgency=low

  * [204cd64b] Merge commit 'upstream/1.3.6.0+dfsg'

 -- Bernd Zeimetz <bzed@debian.org>  Wed, 30 Jun 2010 18:42:20 +0200

gmic (1.3.5.7+dfsg-1) unstable; urgency=low

  * [f733c366] Merge commit 'upstream/1.3.5.7+dfsg'
  * [ee1cba19] Refreshing patches.

 -- Bernd Zeimetz <bzed@debian.org>  Wed, 23 Jun 2010 02:23:16 +0200

gmic (1.3.5.4+dfsg-2) unstable; urgency=low

  * [e14a94e2] Rise required amount of RAM to avoid FTBFS on s390.
    (*sigh* - these machines should have neough RAM and swap....)

 -- Bernd Zeimetz <bzed@debian.org>  Mon, 07 Jun 2010 19:37:02 +0200

gmic (1.3.5.4+dfsg-1) unstable; urgency=low

  * [821186d5] Fix dversionmangle in watch file.
  * [8fab3d8a] Merge commit 'upstream/1.3.5.4+dfsg'
    - This icludes a fix for the FTBFS on various archicetures.
      (Closes: #584304)
  * [7550bc35] Refresh patches.
  * [d682b862] Don't gunzip manpages and create directories before make
    install.
  * [6dccd71b] Tidy debian/rules' clean target.
  * [dba56977] Install bash completion

 -- Bernd Zeimetz <bzed@debian.org>  Mon, 07 Jun 2010 13:53:22 +0200

gmic (1.3.5.1+dfsg2-1) unstable; urgency=low

  * Upstream released a bugfix-release for 1.3.5.1 - unfortunately with the
    same version number.
  * [0e506788] Merge commit 'upstream/1.3.5.1+dfsg2'

 -- Bernd Zeimetz <bzed@debian.org>  Wed, 26 May 2010 16:48:40 +0200

gmic (1.3.5.1+dfsg-1) unstable; urgency=low

  * [97366020] Use -O0 in case the system we build on has less than 1GB
    RAM.
  * [6aca1038] Merge commit 'upstream/1.3.5.1+dfsg'
  * [fe6b2057] Fix awk call to evaluate the available memory.
  * [6806172f] Updating patches.

 -- Bernd Zeimetz <bzed@debian.org>  Wed, 26 May 2010 12:13:50 +0200

gmic (1.3.5.0+dfsg-1) unstable; urgency=low

  * [4efc6ba8] Add Enhances/Depends on gimp.
  * [1cec005d] Merge commit 'upstream/1.3.5.0+dfsg'
  * [4a1816e8] Don't use pristine-tar on git-import-orig. We need to
    recreate the tarball after removing non-free material.

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 16 May 2010 22:48:10 +0200

gmic (1.3.5.0~beta1+dfsg-1) experimental; urgency=low

  * Beta version of the upcoming upstream version.
  * [55bc031b] Merge commit 'upstream/1.3.5.0.beta1+dfsg'
  * [35c39744] Bumping Standards-Version to 3.8.4, no changes needed.
  * [1e7913f6] debian/control: Adding VCS Information.

 -- Bernd Zeimetz <bzed@debian.org>  Wed, 28 Apr 2010 19:49:35 +0200

gmic (1.3.4.1+dfsg-4) unstable; urgency=low

  * [973d62d8] Small typo making the kfreebsd fix fail. Fixed now.
  * [cd7344ee] Use -O0 on mips to avoid internal errors in g++.

 -- Bernd Zeimetz <bzed@debian.org>  Tue, 20 Apr 2010 22:58:25 +0200

gmic (1.3.4.1+dfsg-3) unstable; urgency=low

  * [045a2f86] Remove strip commands from src/Makefile. dh_strip takes
    care of stripping if necessary.
  * [d3740bdf] Add patch to make gmic build on kfreebsd.


=== gmicqt/gmic/resources/debian/control ===
Source: gmic
Section: graphics
Priority: optional
Maintainer: Bernd Zeimetz <bzed@debian.org>
Build-Depends: debhelper (>= 7.0.50),
 libgimp2.0-dev (>= 2.4),
 libx11-dev, libxrandr-dev, libfftw3-dev | fftw3-dev,
 libcurl3 | libcurl4,
 libopenexr-dev, libqt4-core | qt5-default, libwebp-dev
Standards-Version: 3.9.2
Homepage: http://gmic.eu/
Vcs-Git: git://git.debian.org/collab-maint/gmic.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/gmic.git

Package: gmic
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: GREYC's Magic for Image Computing
 G'MIC is a full-featured open-source framework for image processing.
 It provides several different user interfaces to convert/manipulate/filter/visualize
 generic image datasets, ranging from 1D scalar signals to 3D+t sequences of
 multi-spectral volumetric images, including 2D color images.
 .
 This package contains the command-line tool (gmic), the plug-in for gimp (gmic_gimp),
 the library file (libgmic) and the webcam gui (zart).

=== gmicqt/gmic/resources/debian/rules ===
#!/usr/bin/make -f

BUILDD_MEM := $(shell awk '/^MemTotal:/ {print $$2}' /proc/meminfo)
BUILDD_MEM_OK := $(strip $(shell test $(BUILDD_MEM) -gt 1800000 && echo yes))

%:
	dh $@ --sourcedirectory=src

clean:
	dh $@ --sourcedirectory=src

override_dh_auto_test:
	# no tests please.

override_dh_compress:
	dh_compress -X.shtml -X.rss -X.js -X.ppm

override_dh_auto_build:
	dh_auto_build -- \
		LDFLAGS="-Wl,--as-needed" \
		CFLAGS="$(GMIC_CFLAGS) -I. -I/usr/include/libavcodec/ -I/usr/include/libavformat/ -I/usr/include/libswscale/"


override_dh_install:
	dh_install
	install -d $(CURDIR)/debian/gmic/usr/share/bash-completion/completions
	install -D -m644 resources/gmic_bashcompletion.sh \
	                 $(CURDIR)/debian/gmic/usr/share/bash-completion/completions/gmic


.PHONY: override_dh_auto_test override_dh_compress override_dh_auto_build override_dh_clean override_dh_install

# vim:ts=4 sw=2 noet
